
package de.ivu.elect.dokumente;

import org.apache.commons.lang3.StringUtils;

import de.ivu.document.generator.template.BaseDocument;
import de.ivu.document.generator.template.annotations.DocumentSimpleField;

/**
 *  on 20.06.2017.
 */
public class FussnoteDokument extends BaseDocument {

  public static final FussnoteDokument EMPTY = new FussnoteDokument(null);

  @DocumentSimpleField("hat Fußnote")
  public final boolean hatFussnote;

  @DocumentSimpleField("Fußnote")
  public final String fussnote;

  public FussnoteDokument(String fussnote) {
    this.hatFussnote = StringUtils.isNotBlank(fussnote);
    this.fussnote = StringUtils.isNotBlank(fussnote) ? fussnote : StringUtils.EMPTY;
  }
}
